# SimpleImageModel class Null safety

## Constructors

SimpleImageModel({required String documentID, required String appId, String? description, PlatformMediumModel? image, StorageConditionsModel? conditions})

## Properties

appId ↔ String
  read / write, override
conditions ↔ StorageConditionsModel?
  read / write
description ↔ String?
  read / write
documentID ↔ String
  read / write, override
hashCode → int
  The hash code for this object. [...]
  read-only, override
image ↔ PlatformMediumModel?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

collectReferences({String? appId}) → dynamic
  override
copyWith({String? documentID, String? appId, String? description, PlatformMediumModel? image, StorageConditionsModel? conditions}) → SimpleImageModel
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toEntity({String? appId}) → SimpleImageEntity
  override
toString() → String
  A string representation of this object. [...]
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  override

## Static Methods

fromEntity(String documentID, SimpleImageEntity? entity) → dynamic
fromEntityPlus(String documentID, SimpleImageEntity? entity, {String? appId}) → dynamic

## Constants

id → const String
  `'simpleImages'`
packageName → const String
  `'eliud_pkg_fundamentals'`